/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

(function($, Backbone, dm){
    
    "use strict";
    
    dm.ViewDemo = Backbone.View.extend({
        
        initialize: function () {
            this.model.on('processing-query-success', function(){
                setTimeout(function(){
                    window.location.reload();
                }, 1000);
            });
        },
        
        events: {
            'click .install-demo' : 'install',
            'click .uninstall-demo' : 'uninstall',
            'click .activate-action' : 'activate',
            'click .action-packing' : 'packing',
            'click .action-packing-new' : 'packingAsNew',
            'click .upload-remoute-demo' : 'upload',
            'click .delete-local-demo' : 'remoute',
            'click .deloying-local-demo' : 'deploying',
            'click .delete-demo-from-repository' : 'remouteFromRepository',
            'click .make-demo-zip' : 'makeZip',
        },
        
        install: function (e) {
            var demo_id = $(e.currentTarget).attr('data-demo-id');
            this.model.set('processing_demo', demo_id);
            this.model.doInstallation();
        },
        
        uninstall: function (e) {
            var demo_id = $(e.currentTarget).attr('data-demo-id');
            this.model.set('processing_demo', demo_id);
            this.model.doUninstallation();
        },
        
        activate: function (e) {
            var demo_id = $(e.currentTarget).attr('data-demo-id');
            this.model.set('processing_demo', demo_id);
            this.model.doActivation();
        },
        
        packing: function (e) {
            var demo_id = $(e.currentTarget).attr('data-demo-id');
            this.model.set('processing_demo', demo_id);
            this.model.doPaking();
        },
        
        packingAsNew: function (e) {
            var demo_id = prompt("Please enter new demo identety", "other_demo_id");
            if (demo_id) {
                this.model.set('processing_demo', demo_id);
                this.model.doPaking();
            }
        },
        
        upload: function (e) {
            var demo_id = $(e.currentTarget).attr('data-demo-id');
            this.model.set('processing_demo', demo_id);
            this.model.doUplaod();
        },
        
        remoute: function (e) {
            var demo_id = $(e.currentTarget).attr('data-demo-id');
            this.model.set('processing_demo', demo_id);
            this.model.doDelete();
        },
        
        deploying: function (e) {
            var demo_id = $(e.currentTarget).attr('data-demo-id');
            this.model.set('processing_demo', demo_id);
            this.model.doDeploying();
        },
        
        remouteFromRepository: function (e) {
            var demo_id = $(e.currentTarget).attr('data-demo-id');
            this.model.set('processing_demo', demo_id);
            this.model.doRemouteFromRepository();
        },
        
        makeZip: function (e) {
            var demo_id = $(e.currentTarget).attr('data-demo-id');
            this.model.set('processing_demo', demo_id);
            this.model.doMakeZip();
        }
        
    });
    
})(jQuery, Backbone, window.wp_demo_manager);

