/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

(function($, Backbone, dm){
    
    "use strict";
    
    dm.ViewProcessingHelp = Backbone.View.extend({
        
        initialize: function () {
            this.listenTo(this.model, 'change:help_html', this.render);
            this.render();
        },
        
        render: function () {
            var html = this.model.get('help_html');
            if (html) {
                this.$el.html(html);
            }
        }
    });
    
})(jQuery, Backbone, window.wp_demo_manager);

