<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM;

use DM\Config;

class Log
{
    public function __construct()
    {
       self::clearLog();
    }
    
    static public function addLog($message, $error = false)
    {
        $wp_filesystem = \DM\WPObjects\FileSystem\FileSystem::getInstance();
        
        $data_json_content = $wp_filesystem->get_contents( self::getFilePath() );
        $data = json_decode($data_json_content, true);
        if (!is_array($data)) {
            $data = array();
        }
        
        $data[] = array(
            'message' => $message,
            'error' => $error
        );
        
        $wp_filesystem->put_contents(self::getFilePath(), json_encode($data, JSON_PRETTY_PRINT));
    }
    
    static public function clearLog()
    {
        $wp_filesystem = \DM\WPObjects\FileSystem\FileSystem::getInstance();
        $wp_filesystem->put_contents(self::getFilePath(), json_encode(array(), JSON_PRETTY_PRINT));
    }
    
    static public function getFilePath()
    {
        $wp_filesystem = \DM\WPObjects\FileSystem\FileSystem::getInstance();
        
        $file_path = Config::getInstance()->getLogPath();
        if (!$wp_filesystem->is_file($file_path) && $wp_filesystem->put_contents($file_path, "") === false) {
            throw new \Exception("Create log.json file: no permission to file create");
        } 
        
        return $file_path;
    }
}
