<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\Processing\Steps;

use DM\Processing\Step;
use DM\Repository;

class DeployingDemo extends Step
{
    /**
     * Uploading demo content pack from repository
     * @return boolean
     * @throws Exception
     */
    protected function processing()
    {
        /*global $_POST;
        if (!isset($_POST['ftp_password'])) {
            throw new \Exception('Undefined ftp password');
        }
        Config::getInstance()->setDefaultsValue('ftp_password', $_POST['ftp_password']);*/
        
        $Repository = Repository::getInstance(); 
        $Repository->deployDemo($this->getDemo());
        
        // Request to production demo presentation
        if ($this->getDemo()->getPreviewLink()) {
            @\wp_remote_get( $this->getDemo()->getPreviewLink(), array( 'timeout' => '1') );
        }
        
        return true;
    }
    
    protected function abort()
    {
        $Repository = Repository::getInstance(); 
        $Repository->deleteDemo($this->getDemo()->getId());
        
        return true;
    }
}

