<?php

/**
 * @encoding     UTF-8
 * @package      WPObjects
 * @link         https://github.com/VladislavDolgolenko/WPObjects
 * @copyright    Copyright (C) 2018 Vladislav Dolgolenko
 * @license      MIT License
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\WPObjects\PostType\MetaBox;

class Gallery extends \DM\WPObjects\PostType\MetaBox\AbstractMetaBox
{
    public function __construct()
    {
        $this->setId('gallery');
        $this->setTitle('Gallery');
        $this->setPosition('normal');
        $this->setPriority('default');
        
        $template_dir = dirname(__FILE__) . DIRECTORY_SEPARATOR . 'templates';
        $this->setTemplatePath($template_dir . DIRECTORY_SEPARATOR . 'gallery.php');
    }
    
    public function processing(\DM\WPObjects\Model\AbstractPostModel $Post, $data)
    {
        return $data;
    }
    
    public function enqueues()
    {
        parent::enqueues();
        $this->getAssetsManager()->enqueueScript('metabox_gallery');
    }
}