<?php

/**
 * @encoding     UTF-8
 * @package      WPObjects
 * @link         https://github.com/VladislavDolgolenko/WPObjects
 * @copyright    Copyright (C) 2018 Vladislav Dolgolenko
 * @license      MIT License
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

namespace DM\WPObjects\View;

class View implements
    \DM\WPObjects\View\ViewInterface,
    \DM\WPObjects\AssetsManager\AssetsManagerInterface,
    \DM\WPObjects\Service\ManagerInterface
{
    protected $template_path = null;
    
    /**
     * @var \DM\WPObjects\AssetsManager\AssetsManager
     */
    protected $AssetsManager = null;
    
    /**
     * Global service manager
     * 
     * @var \DM\WPObjects\Service\Manager
     */
    protected $ServiceManager = null;
    
    public function getTemplatePath()
    {
        return $this->template_path;
    }
    
    public function setTemplatePath($string)
    {
        $this->template_path = $string;
        
        return $this;
    }
    
    public function enqueues()
    {
        
    }
    
    public function render()
    {
        $template_path = $this->getTemplatePath();
        if (!\file_exists($template_path)) {
            return;
        }
        
        $this->enqueues();
        include($template_path);
    }
    
    public function setAssetsManager(\DM\WPObjects\AssetsManager\AssetsManager $AM)
    {
        $this->AssetsManager = $AM;
        
        return $this;
    }
    
    /**
     * @return \DM\WPObjects\AssetsManager\AssetsManager 
     */
    public function getAssetsManager()
    {
        return $this->AssetsManager;
    }
    
    public function setServiceManager(\DM\WPObjects\Service\Manager $ServiceManager)
    {
        $this->ServiceManager = $ServiceManager;
        
        return $this;
    }
    
    /**
     * @return \DM\WPObjects\Service\Manager
     * @throws \Exception
     */
    public function getServiceManager()
    {
        if (is_null($this->ServiceManager)) {
            throw new \Exception('ServiceManager is undefined');
        }
        
        return $this->ServiceManager;
    }
}