<?php

/**
 * @encoding     UTF-8
 * @package      WPObjects
 * @link         https://github.com/VladislavDolgolenko/WPObjects
 * @copyright    Copyright (C) 2018 Vladislav Dolgolenko
 * @license      MIT License
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

return array(
    
    /**
     * Namespace injection
     */
    '\DM\WPObjects\Service\NamespaceInterface' => array(
        'namespace' => 'setNamespace'
    ),
    
    /**
     * Version injection
     */
    '\DM\WPObjects\Service\VersionInterface' => array(
        'build' => 'setVersion'
    ),
    
    /**
     * Session
     */
    '\DM\WPObjects\Session\StorageInterface' => array(
        'SessionStorage' => 'setSessionStorage'
    ),
    '\DM\WPObjects\Session\CookiesInterface' => array(
        'Cookies' => 'setCookies'
    ),
    
    /**
     * Assets manager injection
     */
    '\DM\WPObjects\AssetsManager\AssetsManagerInterface' => array(
        'AssetsManager' => 'setAssetsManager'
    ),
    
    /**
     * Inject to all model factories query filters listeners
     */
    '\DM\WPObjects\Factory\TypicalModelFactoryInterface' => array(
        'WordpressContextFilter' => 'attachListenersAggregator',
        'AggregatorFilter' => 'attachListenersAggregator'
    ),
    
    /**
     * Other interface injections
     */
    '\DM\WPObjects\PostType\PostTypeFactoryInterface' => array(
        'PostTypeFactory' => 'setPostTypeFactory'
    ),
    '\DM\WPObjects\Model\ModelTypeFactoryInterface' => array(
        'ModelTypeFactory' => 'setModelTypeFactory'
    ),
    '\DM\WPObjects\GoogleFonts\GoogleApiKeyInterface' => array(
        'google_api_key' => 'setGoogleApiKey'
    ),
    '\DM\WPObjects\Data\DataAccessInterface' => array(
        'DataAccess' => 'setDataAccess'
    ),
    '\DM\WPObjects\GoogleFonts\FontsFactoryInterface' => array(
        'FontsFactory' => 'setFontsFactory'
    ),
    '\DM\WPObjects\LessCompiler\WPlessInterface' => array(
        'WPLess' => 'setWPLess'
    ),
    
);